เอกสาร API Hop
Threads เอกสารอ้างอิงเอนด์พอยต์
>-
อ่านโปรไฟล์ โพสต์ การตอบกลับ รีโพสต์ ความคิดเห็น และผลค้นหาผ่าน 12 เอนด์พอยต์ Threads ที่ต้องยืนยันตัวตน
ใช้พารามิเตอร์คิวรี GET โดยไม่มีเนื้อหาคำขอ ฟิลด์ไม่รู้จัก ซ้ำ หรือไม่ถูกต้องถูกปฏิเสธ เก็บ ID เป็นสตริง รวมถึงค่าเกินช่วงจำนวนเต็มปลอดภัยของ JavaScript คำขอหมดเวลาหลัง 60 วินาทีและไม่ลองซ้ำอัตโนมัติ
ราคาเริ่มต้นคือ $0.002 (2000 เครดิต) ต่อคำขอสำเร็จ รวมอาร์เรย์หรือออบเจ็กต์ว่างที่สำเร็จ ไม่ใช่ต่อรายการ ราคาประจำบัญชีมีผลก่อน คำขอต้นทางล้มเหลวคืนยอดกันไว้ ข้อผิดพลาดชำระยอดส่งข้อผิดพลาดโดยไม่ส่งคำขอต้นทางซ้ำ
โพสต์ผู้ใช้ รีโพสต์ การตอบกลับ ความคิดเห็นโพสต์ ค้นหายอดนิยม และค้นหาล่าสุดไม่รองรับแบ่งหน้า ฟิลด์ end_cursor สงวนไว้และไม่มีผล อย่าใช้ next_cursor หรือ has_more ดึงหน้าถัดไป รายการผู้ใช้ส่งเฉพาะชุดที่มี (ประมาณ 25 รายการ) ไม่ใช่ประวัติทั้งหมด ไม่มีเอนด์พอยต์ดึงข้อมูลเพิ่มอัตโนมัติ
web-fetch_user_info
โปรไฟล์ผู้ใช้
GET https://api.apihop.ai/v1/threads/web/users/profile
ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).
| ฟิลด์ | จำเป็น | ข้อกำหนด |
|---|---|---|
username | ใช่ | string; ชื่อผู้ใช้ |
curl --get "https://api.apihop.ai/v1/threads/web/users/profile" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=jlo"web-fetch_user_info_by_id
โปรไฟล์ผู้ใช้ตาม ID
GET https://api.apihop.ai/v1/threads/web/users/profile/by-id
ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).
| ฟิลด์ | จำเป็น | ข้อกำหนด |
|---|---|---|
user_id | ใช่ | string; ID ผู้ใช้ตัวเลข; ^[0-9]+$ |
curl --get "https://api.apihop.ai/v1/threads/web/users/profile/by-id" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "user_id=67027868801"web-fetch_user_posts
โพสต์ผู้ใช้
GET https://api.apihop.ai/v1/threads/web/users/posts
ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).
| ฟิลด์ | จำเป็น | ข้อกำหนด |
|---|---|---|
user_id | ใช่ | string; ID ผู้ใช้ตัวเลข; ^[0-9]+$ |
end_cursor | ไม่ | string; สงวนไว้; ไม่แบ่งหน้า |
curl --get "https://api.apihop.ai/v1/threads/web/users/posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "user_id=63625256886"web-fetch_user_reposts
รีโพสต์ผู้ใช้
GET https://api.apihop.ai/v1/threads/web/users/reposts
ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).
| ฟิลด์ | จำเป็น | ข้อกำหนด |
|---|---|---|
user_id | ใช่ | string; ID ผู้ใช้ตัวเลข; ^[0-9]+$ |
end_cursor | ไม่ | string; สงวนไว้; ไม่แบ่งหน้า |
curl --get "https://api.apihop.ai/v1/threads/web/users/reposts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "user_id=63625256886"web-fetch_user_replies
การตอบกลับผู้ใช้
GET https://api.apihop.ai/v1/threads/web/users/replies
ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).
| ฟิลด์ | จำเป็น | ข้อกำหนด |
|---|---|---|
user_id | ใช่ | string; ID ผู้ใช้ตัวเลข; ^[0-9]+$ |
end_cursor | ไม่ | string; สงวนไว้; ไม่แบ่งหน้า |
curl --get "https://api.apihop.ai/v1/threads/web/users/replies" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "user_id=63625256886"web-fetch_post_detail
โพสต์ตาม ID ตัวเลข
GET https://api.apihop.ai/v1/threads/web/posts/by-id
ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).
| ฟิลด์ | จำเป็น | ข้อกำหนด |
|---|---|---|
post_id | ใช่ | string; ID โพสต์ตัวเลข; ^[0-9]+$ |
curl --get "https://api.apihop.ai/v1/threads/web/posts/by-id" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "post_id=3349029093483693129"web-fetch_post_detail_v2
โพสต์ตาม shortcode หรือ URL
GET https://api.apihop.ai/v1/threads/web/posts/detail
ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).
อย่างน้อยหนึ่งรายการ: post_id, url.
| ฟิลด์ | จำเป็น | ข้อกำหนด |
|---|---|---|
post_id | ไม่ | string; shortcode โพสต์ |
url | ไม่ | string; URL โพสต์แบบเต็ม |
curl --get "https://api.apihop.ai/v1/threads/web/posts/detail" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "post_id=DPVUglOjOUu"web-fetch_post_comments
ความคิดเห็นโพสต์
GET https://api.apihop.ai/v1/threads/web/posts/comments
ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).
| ฟิลด์ | จำเป็น | ข้อกำหนด |
|---|---|---|
post_id | ใช่ | string; ID โพสต์ตัวเลข; ^[0-9]+$ |
end_cursor | ไม่ | string; สงวนไว้; ไม่แบ่งหน้า |
curl --get "https://api.apihop.ai/v1/threads/web/posts/comments" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "post_id=3390920896561588969"web-search_top
ค้นหายอดนิยม
GET https://api.apihop.ai/v1/threads/web/search/top
ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).
| ฟิลด์ | จำเป็น | ข้อกำหนด |
|---|---|---|
query | ใช่ | string; คำค้นหา |
end_cursor | ไม่ | string; สงวนไว้; ไม่แบ่งหน้า |
curl --get "https://api.apihop.ai/v1/threads/web/search/top" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "query=bitcoin"web-search_recent
ค้นหาล่าสุด
GET https://api.apihop.ai/v1/threads/web/search/recent
ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).
| ฟิลด์ | จำเป็น | ข้อกำหนด |
|---|---|---|
query | ใช่ | string; คำค้นหา |
end_cursor | ไม่ | string; สงวนไว้; ไม่แบ่งหน้า |
curl --get "https://api.apihop.ai/v1/threads/web/search/recent" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "query=bitcoin"web-search_posts
ค้นหาโพสต์
GET https://api.apihop.ai/v1/threads/web/search/posts
ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).
| ฟิลด์ | จำเป็น | ข้อกำหนด |
|---|---|---|
query | ใช่ | string; คำค้นหา |
curl --get "https://api.apihop.ai/v1/threads/web/search/posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "query=bitcoin"web-search_profiles
ค้นหาโปรไฟล์
GET https://api.apihop.ai/v1/threads/web/search/profiles
ราคาต่อคำขอสำเร็จ: $0.002 (2000 เครดิต).
| ฟิลด์ | จำเป็น | ข้อกำหนด |
|---|---|---|
query | ใช่ | string; คำค้นหา |
curl --get "https://api.apihop.ai/v1/threads/web/search/profiles" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "query=mark"การตอบกลับ
คงโครงสร้าง JSON code/data เดิมและความแม่นยำตัวเลข ความสำเร็จต้องมี code=200 และ data ไม่เป็น null ข้อผิดพลาดธุรกิจ HTTP 200 ถือว่าล้มเหลว รูปแบบตอบกลับต่างตามเอนด์พอยต์ ตัวอย่างนี้ใช้ประกอบคำอธิบาย ไม่ใช่การตอบกลับจริง
{"code":200,"data":{"post":{"code":"DPVUglOjOUu"},"replies":[]}}ข้อผิดพลาด
HTTP 400: พารามิเตอร์ไม่ถูกต้อง; 401: ยืนยันตัวตนล้มเหลว; 402: เครดิตไม่พอ; 403: ปฏิเสธการเข้าถึง; 405: ไม่รองรับเมธอด; 408: ยกเลิก; 429: จำกัดอัตรา; 5xx: บริการหรือต้นทางล้มเหลว รวม 504 หมดเวลา เก็บ X-Request-Id เพื่อวินิจฉัย
แหล่งข้อมูล
ตรวจกับ OpenAPI V5.3.2 ทางการและราคาเอนด์พอยต์เมื่อ 2026-10-31 ไม่รวมการดำเนินการ fetch_post_id_from_url ที่มีแต่ราคาเพราะไม่มีใน OpenAPI